Contributing
=========================================

We welcome contributions. Please follow the guidelines when opening issues and contributing code to the repo.

Contributing
------------

We follow the [fork-and-pull](https://stackoverflow.com/a/11582996/3830876) Git workflow:

 1. **Fork** the repo on GitHub
 2. **Clone** it to your own machine
 3. **Commit** changes to your fork
 4. **Push** changes to your fork
 5. Submit a **Pull request** for review

**NOTE:** Be sure to merge the latest changes before making a pull request!

Pull Requests
------
As outlined in Keavy McMinn's article ["How to write the perfect pull request"](https://github.blog/2015-01-21-how-to-write-the-perfect-pull-request/), you should include:

  1. The purpose of the PR
  2. A brief overview of what you did
  3. Tag any issues that the PR relates to and [close issues with a keyword](https://help.github.com/en/articles/closing-issues-using-keywords)
  4. What kind of feedback you're looking for (if any)
  5. Tag individuals you want feedback from (if any)

Issues
------

Feel free to submit issues and enhancement requests [here](https://github.com/ontio/ontology-ts-sdk/issues/new). Please consider [how to ask a good question](https://stackoverflow.com/help/how-to-ask) and take the time to research your issue before asking for help.

Duplicate questions will be closed.

Any unrelated comments or questions can be asked in the [Ontology Discord](https://discordapp.com/invite/4TQujHj).
